Support » Plugin: WP Statistics » Update Plugin Not Working – IP.php on line 10

  • Resolved tankire

    (@tankire)


    incorrect line

    Parse error: syntax error, unexpected T_USE, expecting T_FUNCTION in /domain/public_html/wp-content/plugins/wp-statistics/vendor/s1lentium/iptools/src/IP.php on line 10

Viewing 4 replies - 16 through 19 (of 19 total)
  • Thanks for prompt response. Unfortunately, I did not save a 10.3 version in my computer. I just realized that the menu is also missing. I use iPage and do not know if the server has PHP5.4

    Plugin Contributor Greg Ross

    (@gregross)

    figured out the PHP version is 5.3. I can set to 5.5 or 5.6 but with error when visit the site:

    Internal Server Error

    The server encountered an internal error or misconfiguration and was unable to complete your request.

    Please contact the server administrator, and inform them of the time the error occurred, and anything you might have done that may have caused the error.

    More information about this error may be available in the server error log.

    Downloaded 10.3

    thanks

    • This reply was modified 3 years, 2 months ago by sbning.
    Plugin Contributor Greg Ross

    (@gregross)

    @sbning: I would highly recommend you track down the problem with the newer version of PHP, 5.3 has not had any security patches in over two years.

    Your hosting providers should be able to help you get access to your PHP logs and determine what the issue is.

Viewing 4 replies - 16 through 19 (of 19 total)
  • The topic ‘Update Plugin Not Working – IP.php on line 10’ is closed to new replies.